Page MenuHomePhabricator

[RISCV] Support assembling TLS LA pseudo instructions
ClosedPublic

Authored by lewis-revill on Dec 13 2018, 12:55 PM.

Details

Summary

This patch adds the pseudo instructions la.tls.ie and la.tls.gd, used in the initial-exec and global-dynamic TLS models respectively when addressing a global. The pseudo instructions are expanded in the assembly parser.

Diff Detail

Repository
rL LLVM

Event Timeline

lewis-revill created this revision.Dec 13 2018, 12:55 PM
jrtc27 added a comment.Feb 5 2019, 9:42 AM

Please rebase now I've removed the stray whitespace in the definition of PseudoLA.

Herald added a project: Restricted Project. · View Herald TranscriptFeb 5 2019, 9:42 AM
rogfer01 accepted this revision.May 21 2019, 12:23 AM

Thanks @lewis-revill this LGTM.

This revision is now accepted and ready to land.May 21 2019, 12:23 AM
asb accepted this revision.May 23 2019, 6:50 AM

LGTM too, thanks Lewis!

lewis-revill closed this revision.May 23 2019, 7:48 AM